<?php

namespace xenbros\Threadthumbnail\Entity;

use XF\Mvc\Entity\Structure;

class Thread extends XFCP_Thread
{
    public function getfirstPostImgUrl()
    {
        $message = $this->FirstPost->message;
        
        preg_match('/\[IMG(.*?)\](.+?)\[\/IMG\]/i',$message,$matches);

        if(!$matches)
        {
            return false;
        }

        $url = $matches[2];

        $linkInfo = \XF::app()->stringFormatter()->getLinkClassTarget($url);
        
        if ($linkInfo['local'])
        {
            return $url;
        }
        
        if(\XF::app()->options()->imageLinkProxy['images'])
        {
            $proxyUrl = \XF::app()->stringFormatter()->getProxiedUrlIfActive('image', $url);
            return $proxyUrl;
        }

        return $url;
    }
}